Bug 836937 - Libreoffice writer extremely slow with java-extension Zemberek installed
Libreoffice writer extremely slow with java-extension Zemberek installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 05:17 EDT by Suleyman Kuran
Modified: 2012-11-24 09:23 EST (History)
7 users (show)

See Also:
Fixed In Version: libreoffice-3.5.5.3-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-18 20:27:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libreoffice requires java (17.01 KB, image/png)
2012-07-04 02:14 EDT, Suleyman Kuran
no flags Details
high cpu utilization (28.45 KB, image/png)
2012-08-03 07:19 EDT, Suleyman Kuran
no flags Details

  None (edit)
Description Suleyman Kuran 2012-07-02 05:17:41 EDT
Description of problem:
I upgraded from Fedora 16 to 17. As part of the upgrade process my Libreoffice software was also upgraded to version 3.5.4.2-4.fc17. When Java enabled, If I open one page simple document, writer opens the document but then waits for 50-60 seconds doing a java related process (spell check for ex.) Java version java-1.7.0-openjdk.x86_64. When I start writer with an old version of java (java-1.5.0-gcj.x86_64) the documents is ready in seconds.

Version-Release number of selected component (if applicable):
3.5.4.2-4.fc17

How reproducible:
Open a document with java enabled.


Steps to Reproduce:
1.Enable spell checker
2.Open an already existing document
3.
  
Actual results:
Opening a document is extremely slow

Expected results:
Opening a document should take up only a couple of seconds.

Additional info:
Comment 1 Caolan McNamara 2012-07-02 06:59:17 EDT
spellchecking is typically unrelated to java, in that spellchecking for most languages is done through hunspell

So when you say "When I start writer with an old version of java (java-1.5.0-gcj.x86_64) the documents is ready in seconds" what did you do exactly. Select the FSF gcj runtime from tools->options->java ? Or something else.

Did you manually install a java-based grammar checker extension ?
Comment 2 Suleyman Kuran 2012-07-02 07:14:41 EDT
I changed the option "Tools -> Options -> Libreoffice -> Java -> Oracle Coorporation 1.7.0_-03-icedtea" to FSF 1.5.0. 

No I didn't install grammar checker, only the Libreoffice defaults.

(In reply to comment #1)
> spellchecking is typically unrelated to java, in that spellchecking for most
> languages is done through hunspell
> 
> So when you say "When I start writer with an old version of java
> (java-1.5.0-gcj.x86_64) the documents is ready in seconds" what did you do
> exactly. Select the FSF gcj runtime from tools->options->java ? Or something
> else.
> 
> Did you manually install a java-based grammar checker extension ?
Comment 3 Suleyman Kuran 2012-07-03 08:03:18 EDT
Selecting FSF 1.5.0 java is not a solution. Now Libreoffice writer crashes at random intervals. When I disable Java completely the problem goes away but then some functionality lost.
Comment 4 Caolan McNamara 2012-07-03 12:09:53 EDT
For you there is clearly something using java in writer, but there typically isn't anything in the normal out-of-the-box case, so can we get the output of...

unopkg list && unopkg list --shared && unopkg list --bundled
Comment 5 Suleyman Kuran 2012-07-04 02:05:45 EDT
The output is as follows:

$ sudo unopkg list && unopkg list --shared && unopkg list --bundled
All deployed user extensions:

<none>
All deployed shared extensions:

<none>
All deployed bundled extensions:

Identifier: com.sun.star.script.provider.ScriptProviderForPython
  Version: 3.3.0
  URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/script-provider-for-python
  is registered: yes
  Media-Type: application/vnd.sun.star.package-bundle
  Description: Add support for Python via the Scripting Framework to enable Python scripts in the user and share directories of a LibreOffice installation, and also in loaded documents.

  bundled Packages: {
      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/script-provider-for-python/components.rdb
      is registered: yes
      Media-Type: application/vnd.sun.star.uno-components
      Description: 

  }

Identifier: com.sun.PresenterScreen-linux_x86_64
  Version: 1.1.0
  URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/presenter-screen
  is registered: yes
  Media-Type: application/vnd.sun.star.package-bundle
  Description: The Presenter Console Extension provides more control over your slide show presentation, such as the ability to see the upcoming slide, the slide notes, and a presentation timer whereas the audience see only the current slide.
To avoid confusions by displaying a large number of presentation elements, the Presenter Console displays the elements on three different easily changeable views.

  bundled Packages: {
      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/presenter-screen/help
      is registered: yes
      Media-Type: application/vnd.sun.star.help
      Description: 

      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/presenter-screen/registry/schema/org/openoffice/Office/extension/PresenterScreen.xcs
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-schema
      Description: 

      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/presenter-screen/PresenterScreen.uno.so
      is registered: yes
      Media-Type: application/vnd.sun.star.uno-component;type=native;platform=Linux_X86_64
      Description: 

      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/presenter-screen/registry/data/org/openoffice/Office/Jobs.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 

      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/presenter-screen/registry/data/org/openoffice/Office/ProtocolHandler.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 

      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/presenter-screen/registry/data/org/openoffice/Office/extension/PresenterScreen.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 

  }

Identifier: com.sun.star.PDFImport-linux_x86_64
  Version: 1.0.5
  URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/pdfimport
  is registered: yes
  Media-Type: application/vnd.sun.star.package-bundle
  Description: The PDF Import Extension allows you to import and modify PDF documents. Best results with 100% layout accuracy can be achieved with the "PDF/ODF hybrid file" format, which this extension also enables. A hybrid PDF/ODF file is a PDF file that contains an embedded ODF source file. Hybrid PDF/ODF files will be opened in LibreOffice as an ODF file without any layout changes.

  bundled Packages: {
      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/pdfimport/basic/
      is registered: yes
      Media-Type: application/vnd.sun.star.basic-library
      Description: 

      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/pdfimport/xpdfimport
      is registered: yes
      Media-Type: application/vnd.sun.star.executable
      Description: 

      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/pdfimport/pdfimport.uno.so
      is registered: yes
      Media-Type: application/vnd.sun.star.uno-component;type=native;platform=Linux_X86_64
      Description: 

      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/pdfimport/pdf_import_filter.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 

      URL: vnd.sun.star.expand:$BUNDLED_EXTENSIONS/pdfimport/pdf_types.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 

  }
Comment 6 Suleyman Kuran 2012-07-04 02:14:42 EDT
Created attachment 596153 [details]
libreoffice requires java
Comment 7 Caolan McNamara 2012-07-04 04:47:34 EDT
And what were you doing when you got that dialog ?

You have no java extensions installed apparently, so no java stuff should be used or required for opening up a few documents and scrolling through them. (Outside of any first-start auto-detect which java you have installed stuff anyway)
Comment 8 Suleyman Kuran 2012-07-04 06:40:11 EDT
Can it be "zemberek" that depends on Java? Turkish spell checker zemberek v1.0 rc2 extension is installed and when disabled no java is required but then no spell check can be done. hunspell seems to be only English and French
Comment 9 Caolan McNamara 2012-07-04 07:32:31 EDT
can I get the output of unopkg list, but *not* as root, just as yourself
Comment 10 Suleyman Kuran 2012-07-04 08:52:44 EDT
$ unopkg list
All deployed user extensions:

Identifier: net.zemberek.ooo.spellchecker
  Version: 1.0_rc2
  URL: vnd.sun.star.expand:$UNO_USER_PACKAGES_CACHE/uno_packages/lurqwnsj.tmp_/zemberek-ooo-1.0_rc2.oxt
  is registered: no
  Media-Type: application/vnd.sun.star.package-bundle
  Description: 
  bundled Packages: {
      URL: vnd.sun.star.expand:$UNO_USER_PACKAGES_CACHE/uno_packages/lurqwnsj.tmp_/zemberek-ooo-1.0_rc2.oxt/ZemberekSpellChecker.xcs
      is registered: no
      Media-Type: application/vnd.sun.star.configuration-schema
      Description: 

      URL: vnd.sun.star.expand:$UNO_USER_PACKAGES_CACHE/uno_packages/lurqwnsj.tmp_/zemberek-ooo-1.0_rc2.oxt/ZemberekSpellChecker.xcu
      is registered: no
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 

      URL: vnd.sun.star.expand:$UNO_USER_PACKAGES_CACHE/uno_packages/lurqwnsj.tmp_/zemberek-ooo-1.0_rc2.oxt/ZemberekHyphenator.uno.jar
      is registered: no
      Media-Type: application/vnd.sun.star.uno-component;type=Java
      Description: 

      URL: vnd.sun.star.expand:$UNO_USER_PACKAGES_CACHE/uno_packages/lurqwnsj.tmp_/zemberek-ooo-1.0_rc2.oxt/ZemberekSpellChecker.uno.jar
      is registered: no
      Media-Type: application/vnd.sun.star.uno-component;type=Java
      Description: 

  }
Comment 11 Caolan McNamara 2012-07-04 08:58:20 EDT
Yup, that's the mysterious java-using thing anyway that's different from me to you.
Comment 12 Caolan McNamara 2012-07-09 10:07:52 EDT
Confirmed that zemberek triggers ultra-slow behaviour and various pieces of weirdness
Comment 13 Caolan McNamara 2012-07-16 04:35:07 EDT
I can improve this I think in >= libreoffice-3.5.5.3-4.fc17
Comment 14 Fedora Update System 2012-08-01 15:42:33 EDT
libreoffice-3.5.5.3-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.5.3-5.fc17
Comment 15 Fedora Update System 2012-08-02 07:23:51 EDT
Package libreoffice-3.5.5.3-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.5.3-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11418/libreoffice-3.5.5.3-5.fc17
then log in and leave karma (feedback).
Comment 16 Suleyman Kuran 2012-08-03 07:17:27 EDT
$ yum list installed | grep libreoffice
libreoffice-calc.x86_64             1:3.5.5.3-5.fc17            @updates-testing
libreoffice-core.x86_64             1:3.5.5.3-5.fc17            @updates-testing
libreoffice-draw.x86_64             1:3.5.5.3-5.fc17            @updates-testing
libreoffice-graphicfilter.x86_64    1:3.5.5.3-5.fc17            @updates-testing
libreoffice-impress.x86_64          1:3.5.5.3-5.fc17            @updates-testing
libreoffice-langpack-en.x86_64      1:3.5.5.3-5.fc17            @updates-testing
libreoffice-math.x86_64             1:3.5.5.3-5.fc17            @updates-testing
libreoffice-ogltrans.x86_64         1:3.5.5.3-5.fc17            @updates-testing
libreoffice-opensymbol-fonts.noarch 1:3.5.5.3-5.fc17            @updates-testing
libreoffice-pdfimport.x86_64        1:3.5.5.3-5.fc17            @updates-testing
libreoffice-presenter-screen.x86_64 1:3.5.5.3-5.fc17            @updates-testing
libreoffice-pyuno.x86_64            1:3.5.5.3-5.fc17            @updates-testing
libreoffice-ure.x86_64              1:3.5.5.3-5.fc17            @updates-testing
libreoffice-writer.x86_64           1:3.5.5.3-5.fc17            @updates-testing
libreoffice-xsltfilter.x86_64       1:3.5.5.3-5.fc17            @updates-testing

I enabled Zemberek spell checker, opened any document with writer, libreoffice process uses cpu 100%, I waited a couple of mins, but still very high cpu utilization. See attached scr capture.
Comment 17 Suleyman Kuran 2012-08-03 07:19:14 EDT
Created attachment 602114 [details]
high cpu utilization
Comment 18 Fedora Update System 2012-08-09 02:56:48 EDT
libreoffice-3.5.6.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.6.2-1.fc17
Comment 19 Fedora Update System 2012-08-18 20:27:31 EDT
libreoffice-3.5.6.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Gökçen Eraslan 2012-11-24 09:23:07 EST
I can still reproduce the bug with libreoffice-core-3.5.7.2-6.fc17.x86_64. LibreOffice is still insanely slow with zemberek Turkish spellchecking extension and document language set to Turkish. It hogs the CPU, as well. It may be an incompatibility between new Java VM and the old zemberek extension that is no longer maintained. By the way, there is a new experimental zemberek project going on[1].

I request this bug to be reopened, please.

[1] http://code.google.com/p/zemberek3/

Note You need to log in before you can comment on or make changes to this bug.